.\"	$OpenBSD: ef.4,v 1.17 2013/06/02 20:23:33 tedu Exp $
.\"
.\" Copyright (c) 1998 Jason L. Wright (jason@thought.net)
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd $Mdocdate: June 2 2013 $
.Dt EF 4
.Os
.Sh NAME
.Nm ef
.Nd 3Com Fast EtherLink ISA (3c515) 10/100 Ethernet device
.Sh SYNOPSIS
.Cd "ef* at isapnp?"
.Cd "nsphy* at mii?"
.Sh DESCRIPTION
The
.Nm
device driver supports the 3Com Fast EtherLink ISA family
of Ethernet cards, and embedded controllers based on the 3Com
.Dq corkscrew
EtherLink chips.
.Pp
The following media types and options (as given to
.Xr ifconfig 8 )
are supported:
.Bl -tag -width xxx -offset indent
.It Cm media No autoselect
Enable autoselection of the media type and options (default).
.It Cm media No 100baseTX Cm mediaopt No full-duplex
Set 100Mbps (Fast Ethernet) operation and force full-duplex mode.
.It Cm media No 100baseTX Cm mediaopt No half-duplex
Set 100Mbps (Fast Ethernet) operation and force half-duplex mode.
.It Cm media No 10baseT Cm mediaopt No full-duplex
Set 10Mbps operation and force full-duplex.
.It Cm media No 10baseT Cm mediaopt No half-duplex
Set 10Mbps operation and force half-duplex.
.El
.Pp
If no media options are present, the
.Nm
driver places the card into autoselect mode.
.Pp
For more information on configuring this device, see
.Xr ifconfig 8 .
.Sh DIAGNOSTICS
.Bl -diag
.It "ef0: adapter failure (XXXX)"
A fatal error during receive or transmit has occurred.
.It "ef0: eeprom failed to come ready"
When reading/writing the EEPROM, the busy bit failed to clear.
This may indicate a hardware problem.
.It "ef0: device timeout"
The device has stopped responding to the network, or there is a problem with
the network connection (cable).
.El
.Sh SEE ALSO
.Xr ifmedia 4 ,
.Xr intro 4 ,
.Xr isapnp 4 ,
.Xr nsphy 4 ,
.Xr hostname.if 5 ,
.Xr ifconfig 8
.Sh HISTORY
The
.Nm
device driver first appeared in
.Ox 2.6 .
.Sh AUTHORS
The
.Nm
driver was written by
.An Jason L. Wright Aq jason@thought.net .
